Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000224ILNumerics[All Projects] Bugspublic2016-02-04 10:592016-03-09 16:48
Reporterho 
Assigned Toho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000224: LC tool in build process not found
DescriptionWarning during build (DoLC task):

"Test\ILNumerics_deploy\ILNImports2.targets(57,5): warning MSB6004: The specified task executable location "C:\Program Files (x86)\Microsoft SDKs\Windows\v10.0A\bin\NETFX 4.6 Tools\x64\lc.exe;C:\Program Files (x86)\Microsoft SDKs\Windows\v10.0A\bin\NETFX 4.6.1 Tools\x64\LC.exe" is invalid."

The folder structure MS stores the build tools in has been changed. This leads to multiple paths to be found in the search for x64 build tools. The path string is provided to the LC task afterwards so that it will be able to load the correct platform version of the tools (matching the build target).

Now LC cannot work.
Steps To ReproduceMake sure to have .NET 4.6 and 4.6.1 installed.
Have ILNumerics V4.9 installed
Create a regular project in VS (any version).
Set the project to target the 64 bit platform.
Build.

Inspect the build output.

Set the build output detail to "detailed" (VS -> Options -> Project & Solutions -> Build & Run) to get more information and context.
Additional Informationx64 targets
.NET FW 4.6 AND 4.6.1 installed on the same system
ILNumerics version 4.9 only.

Update: It might affect x86 projects also.
TagsNo tags attached.
Attached Files? file icon ILNImports2.targets [^] (10,349 bytes) 2016-02-04 12:24

- Relationships

-  Notes
(0000229)
ho (administrator)
2016-02-04 12:13
edited on: 2016-02-10 10:37

This issue will be fixed in version 4.10.

Workarounds: In order to work around the issue and if you do not want to wait for a 4.10. update, choose one of the following:

(1) Target x86 for your project, or
(2) Replace the auto-generated ILNumerics_deploy/ILNImports2.targets file with the one attached to this issue.

Note that (2) will work also for x64 targets. It is the recommended fix for such projects coming from version 4.9 and still experiencing this issue in version 4.10 and above. If your project shows the described behavior replace your ILNImports2.targets file with the one provided here!

(0000230)
ho (administrator)
2016-02-04 12:25

fixed in 4.10

- Issue History
Date Modified Username Field Change
2016-02-04 10:59 ho New Issue
2016-02-04 11:00 ho Assigned To => ho
2016-02-04 11:00 ho Status new => confirmed
2016-02-04 12:13 ho Note Added: 0000229
2016-02-04 12:24 ho File Added: ILNImports2.targets
2016-02-04 12:25 ho Note Added: 0000230
2016-02-04 12:25 ho Status confirmed => resolved
2016-02-04 12:25 ho Resolution open => fixed
2016-02-10 10:37 ho Note Edited: 0000229 View Revisions
2016-03-09 16:48 ho Description Updated View Revisions
2016-03-09 16:48 ho Additional Information Updated View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker